#ifndef XSTRING_H
#define XSTRING_H

#include <QObject>
#include "xasset.h"

class XString;
typedef QVector<XString*> XStringArray;

class XString : public XAsset
{
public:
    XString();
    XString(const QString aString);
    virtual ~XString() override;

    void SetString(const QString& aString);
    QString GetString() const;

    static QString ParseCustom(QDataStream* aStream);
    static XStringArray* ParseArray(QDataStream* aStream, int aCount);

    virtual void Clear() override;
    virtual void ParseData(QDataStream* aStream) override;

private:
    QString mString;
};

#endif // XSTRING_H
